Skip to main content
POST
TypeScript SDK

Authorizations

Authorization
string
header
required

Enter ApiKey <your-api-key> in Authorization, including the ApiKey prefix. In cURL and Python samples, <api-key> means this full value. The TypeScript SDK adds the prefix for you.

Path Parameters

trainingId
string
required

Training draft ID with prefix trg..

Pattern: ^trg\.[0-9a-f]{8}-[0-9a-f]{4}-[7][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Body

application/json
inputSetId
string
required

The immutable input set used to calculate a Training Cost Estimate.

Pattern: ^tei\.[0-9a-f]{8}-[0-9a-f]{4}-[7][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Response

Training Cost Estimate

A validation result and conservative maximum price for one Training draft.

calculatedAt
string<date-time>
required

Time the estimate was calculated, as an ISO 8601 timestamp.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
capabilityVersion
string
required

Version of the model capability rules used for this estimate.

Minimum string length: 1
cutoff
string<date-time>
required

Dataset cutoff used to select the inputs, as an ISO 8601 timestamp.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
inputSetId
string
required

The immutable input set used to calculate a Training Cost Estimate.

Pattern: ^tei\.[0-9a-f]{8}-[0-9a-f]{4}-[7][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$
inputs
object
required

Prepared inputs and their validation reports.

issues
object[]
required

Issues preventing a ready cost estimate.

Minimum array length: 1
pricingVersion
string
required

Version of the pricing rules used for this estimate.

Minimum string length: 1
status
string
required

Estimate status; blocked means the reported issues must be resolved before starting a run.

Allowed value: "blocked"
trainingId
string
required

Training draft ID with prefix trg..

Pattern: ^trg\.[0-9a-f]{8}-[0-9a-f]{4}-[7][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$